<?php
/**
 * Uses the pear bbcode parser
 *
 * There are 6 filters
 * Basic - default
 * Email
 * Extended
 * Images
 * Links
 * Lists
 * 
 * You can add/remove filters from the PEAR_BB_FILTERS.
 * 
 * @version $Id: pear.php 5472 2007-12-11 16:13:40Z jtickle $
 */

require_once 'HTML/BBCodeParser.php';

define('PEAR_BB_FILTERS', 'Email,Extended,Images,Links,Lists');

function pear_filter($text)
{
    $parser = new HTML_BBCodeParser();
    $filters = explode(',', PEAR_BB_FILTERS);
    foreach ($filters as $flt) {
        $parser->addFilter(trim($flt));
    }

    $parser->setText($text);
    $parser->parse();
    return $parser->getParsed();
}

?>