<?php
  /**
   * @author Matthew McNaney <mcnaney at gmail dot com>
   * @version $Id: unregister.php 5472 2007-12-11 16:13:40Z jtickle $
   */

function users_unregister($module, &$content){
    PHPWS_Core::initModClass('users', 'Permission.php');

    $result = Users_Permission::removePermissions($module);

    if (PEAR::isError($result)) {
        
        $content[] = dgettext('users', 'Permissions table not removed successfully.');        
        
        return FALSE;
    } elseif ($result) {
        $content[] = dgettext('users', 'Permissions table removed successfully.');
        return TRUE;
    }
    
    return TRUE;
}


?>