<?php
  /**
   * @author Matthew McNaney <mcnaney at gmail dot com>
   * @version $Id: unregister.php 5472 2007-12-11 16:13:40Z jtickle $
   */

function rss_unregister($module, &$content)
{
    $db = new PHPWS_DB('rssfeeds');
    $db->addWhere('module', $module);
    $result = $db->delete();
    if (PEAR::isError($result)) {
        PHPWS_Error::log($result);
        $content[] = dgettext('rss', 'An error occurred trying to unregister this module from RSSFeeds.');
        return FALSE;
    } else {
        $content[] = dgettext('rss', 'Module unregistered from RSSFeeds.');
        return TRUE;
    }
}

?>